com.verisign.epp.codec.domain

## Class EPPDomainInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.domain.EPPDomainInfoCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPDomainInfoCmd
      extends EPPInfoCmd

  Represents an EPP Domain <info> command that is used to retrieve information associated with a domain. The <domain:info> element MUST contain the following child elements:
  - A <domain:name> element that contains the fully qualified domain name for which information is requested. An OPTIONAL "hosts" attribute is available to control return of information describing hosts related to the domain object. A value of "all" (the default, which MAY be absent) returns information describing both subordinate and delegated hosts. A value of "del" returns information describing only delegated hosts. A value of "sub" returns information describing only subordinate hosts. A value of "none" returns no information describing delegated or subordinate hosts. Use `getName` and `setName` to get and set the element.
  `EPPDomainInfoResp` is the concrete `EPPReponse` associated with `EPPDomainInfoCmd`.
  See Also:
    `EPPDomainInfoResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPDomainInfoCmd`.
    `static java.lang.String` | `ELM_NAME` XML Element Name of `EPPDomainInfoCmd` root element.
    `static java.lang.String` | `HOSTS_ALL` Constant on a call to `setHosts` to get information on all hosts (delegated and subordinate).
    `static java.lang.String` | `HOSTS_DELEGATED` Constant on a call to `setHosts` to get information on just the delegated hosts.
    `static java.lang.String` | `HOSTS_NONE` Constant on a call to `setHosts` to get no information describing delegated or subordinate hosts.
    `static java.lang.String` | `HOSTS_SUBORDINATE` Constant on a call to `setHosts` to get information on just the subordinate hosts.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDomainInfoCmd()` `EPPDomainInfoCmd` default constructor.
    `EPPDomainInfoCmd(java.lang.String aTransId, java.lang.String aName)` `EPPDomainInfoCmd` constructor that takes the domain name as an argument.
    `EPPDomainInfoCmd(java.lang.String aTransId, java.lang.String aName, EPPAuthInfo aAuthInfo)` `EPPDomainInfoCmd` constructor that takes the domain name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPDomainInfoCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDomainInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainInfoCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainInfoCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` Get authorization information
    `java.lang.String` | `getHosts()` Sets the desired level of host information.
    `java.lang.String` | `getName()` Gets the domain name to get information on.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDomainInfoCmd`.
    `void` | `setAuthInfo(EPPAuthInfo aAuthInfo)` Set authorization information
    `void` | `setHosts(java.lang.String aHost)` Sets the desired level of host information.
    `void` | `setName(java.lang.String aName)` Sets the domain name to get information on.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPDomainInfoCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPDomainInfoCmd` root element.
      See Also:
        Constant Field Values

    - #### HOSTS_ALL

          public static final java.lang.String HOSTS_ALL

      Constant on a call to `setHosts` to get information on all hosts (delegated and subordinate). This is the default settings.
      See Also:
        Constant Field Values

    - #### HOSTS_DELEGATED

          public static final java.lang.String HOSTS_DELEGATED

      Constant on a call to `setHosts` to get information on just the delegated hosts.
      See Also:
        Constant Field Values

    - #### HOSTS_SUBORDINATE

          public static final java.lang.String HOSTS_SUBORDINATE

      Constant on a call to `setHosts` to get information on just the subordinate hosts.
      See Also:
        Constant Field Values

    - #### HOSTS_NONE

          public static final java.lang.String HOSTS_NONE

      Constant on a call to `setHosts` to get no information describing delegated or subordinate hosts.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPDomainInfoCmd

          public EPPDomainInfoCmd()

      `EPPDomainInfoCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

    - #### EPPDomainInfoCmd

          public EPPDomainInfoCmd(java.lang.String aTransId,
                                  java.lang.String aName)

      `EPPDomainInfoCmd` constructor that takes the domain name as an argument.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - Domain name to get information on.

    - #### EPPDomainInfoCmd

          public EPPDomainInfoCmd(java.lang.String aTransId,
                                  java.lang.String aName,
                                  EPPAuthInfo aAuthInfo)

      `EPPDomainInfoCmd` constructor that takes the domain name as an argument.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - Domain name to get information on.
        `aAuthInfo` - Optional authorization information. Set to `null` for no authorization information.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDomainInfoCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPDomainMapFactory.NS`

    - #### setHosts

          public void setHosts(java.lang.String aHost)

      Sets the desired level of host information. The default is `HOSTS_ALL`.
      Parameters:
        `aHost` - Should be one of the `HOSTS_` constants.

    - #### getHosts

          public java.lang.String getHosts()

      Sets the desired level of host information.
      Returns:
        Should be one of the `HOSTS_` constants.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDomainInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPDomainInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDomainInfoCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDomainInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDomainInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getName

          public java.lang.String getName()

      Gets the domain name to get information on.
      Returns:
        Domain Name `String` instance if defined; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the domain name to get information on.
      Parameters:
        `aName` - Domain Name

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Get authorization information
      Returns:
        Authorization information if defined; `null` otherwise;

    - #### setAuthInfo

          public void setAuthInfo(EPPAuthInfo aAuthInfo)

      Set authorization information
      Parameters:
        `aAuthInfo` - EPPAuthInfo

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDomainInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDomainInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPDomainInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.